Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class DataSourceLinkFactory.DataSourceHandler

    java.lang.Object
      org.apache.naming.factory.DataSourceLinkFactory.DataSourceHandler

All Implemented Interfaces:
  InvocationHandler

Enclosing class:
  DataSourceLinkFactory

    public static class DataSourceLinkFactory.DataSourceHandler

extends Object
implements InvocationHandler

Simple wrapper class that will allow a user to configure a ResourceLink for a data source so that when `DataSource.getConnection()` is called, it will invoke `DataSource.getConnection(String, String)` with the preconfigured username and password.

Constructor Summary
`DataSourceLinkFactory.DataSourceHandler(DataSource ds, String username, String password)`

Method Summary
`Object` | `invoke(Object proxy, Method method, Object[] args)`
`Object` | `unwrap(Class<?> iface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceLinkFactory.DataSourceHandler

    public DataSourceLinkFactory.DataSourceHandler(DataSource ds,
                                                   String username,
                                                   String password)
                                            throws Exception

Throws:
  `Exception`

Method Detail

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### unwrap

    public Object unwrap(Class<?> iface)
                  throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.